﻿@model SSTC.Entity.User

    <script src="https://code.jquery.com/jquery-1.12.4.min.js"></script>
    <script>
        function showRowForUmowa() {
            // show hide paragraph on button click
            $("#umowa").toggle("slow");
            $("#umowaCon").toggle("slow");
        }
    </script>

<body>
    <div align="center">
        @*@using (@Html.BeginForm("Login", "Home", FormMethod.Post))*@
        <form class="form-signin" _lpchecked="1" method="post">

            @Html.AntiForgeryToken()
            @Html.ValidationSummary(true)
            <font color="red" class="message">@TempData["Message"]</font><br />
            <h1 class="h3 mb-3 font-weight-normal">Twoje dane:</h1>

            <p align="left" style="margin-left:20px; font-weight: bold;">Login:</p>
            <label for="login" class="sr-only">Login</label>
            @Html.TextBoxFor(a => a.Login, new { @class = "form-control", id = "login", required = "true", value = Model.Login, ReadOnly = "True" })
            @Html.ValidationMessageFor(a => a.Login)
            <br />
            <p align="left" style="margin-left:20px; font-weight: bold;">Imie:</p>
            <label for="name" class="sr-only">Imie</label>
            @Html.TextBoxFor(a => a.Name, new { @class = "form-control", id = "name", required = "true", value = Model.Name })
            <br />
            <p align="left" style="margin-left:20px; font-weight: bold;">Nazwisko:</p>
            @Html.TextBoxFor(a => a.Surname, new { @class = "form-control", id = "surname", required = "true", value = Model.Surname })
            <br />
            <p align="left" style="margin-left:20px; font-weight: bold;">Adres E-mail:</p>
            @Html.TextBoxFor(a => a.Mail, new { @class = "form-control", id = "mail", required = "true", value = Model.Mail })
            <br />
            <input class="btn btn-lg btn-primary btn-block" type="submit" value="Zapisz" />
        </form>
        <input type="button" value="Umowa" class="btn btn-lg btn-primary btn-block" onclick="showRowForUmowa()" />
    </div>
    <div align="center">
        <br/>
        <table id="umowa" class="table table-bordered table-condensed table-striped" style="display:none">
            <tr>
                <td><center><span><b>Twoje dane na umowie:</b></span></center></td>
            </tr>
            </table>
            <table id="umowaCon" class="table table-bordered table-condensed table-striped" style="display:none">
                <tr>
                    <td><span><b>Umowa obowiązuje od:</b></span><br /></td>
                    <td><span id=@("dateOfContractStatic")>@Model.Contract.DateOfContract.Date.ToShortDateString()</span><br /></td> @*TODO: Tu sie coś psuje przy probie zapisania sprawdź*@
                </tr>
                <tr>
                    <td> <span><b>Umowa obowiązuje do: </b></span><br /></td>
                    <td><span id=@("dateOfContractEndStatic")>@Model.Contract.DateOfContractEnd.Date.ToShortDateString()</span><br /></td>
                </tr>
                <tr>
                    <td> <span><b>Wymiar godzinowy: </b></span><br /></td>
                    <td><span id=@("hoursDailyStatic")>@Model.Contract.HoursDaily</span><br /></td>
                </tr>
                <tr>
                    <td> <span><b>Wynagrodzenie brutto: </b></span><br /></td>
                    <td><span id=@("grossAmountStatic")>@Model.Contract.GrossAmount</span><br /></td>
                </tr>
                <tr>
                    <td> <span><b>Stawka projektowa: </b></span><br /></td>
                    <td><span id=@("hourlyRateProjectStatic")>@Model.Contract.HourlyRateProject %</span><br /></td>
                </tr>
            </table>
    </div>
</body>

